Bug 466427 - Significant regression in time() performance
Significant regression in time() performance
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
urgent Severity high
: rc
: ---
Assigned To: Jiri Pirko
Martin Jenner
: Regression, Reopened, ZStream
Depends On: 461184
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 04:08 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:15 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 05:29:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2008-10-10 04:08:02 EDT
This bug has been copied from bug #461184 and has been proposed
to be backported to 5.2 z-stream (EUS).
Comment 2 RHEL Product and Program Management 2008-10-10 04:39:57 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 3 Jay Turner 2008-10-10 06:36:44 EDT
Guys, I'm a little confused why this fix is being proposed for z-stream.  The change which caused the problem was introduced into the 2.6.18-98.el5 kernel (i.e. well after the z-stream kernel.)  There's nothing to "fix" in the 92.1.13.el5 kernel.
Comment 4 Jiri Skrabal 2008-10-10 07:21:41 EDT
Jay, thanks for clarification. Closing the bug.
Comment 5 Jiri Pirko 2008-10-10 11:24:20 EDT
Jay, we need this patch to correct the bug previously done by linux-2.6-x86_64-gettimeofday-fixes-for-hpet-pmtimer-tsc.patch (bz250708). So basically we will bring the bug with mentioned patch and we will fix it by this in the same build. I think it's the best way to solve this issue.
Comment 6 Don Howard 2008-10-10 11:30:18 EDT
Hi Jiri, Jay -

This is related to bz 462860 (5.2.z).  We need both patches together.
Comment 7 Jay Turner 2008-10-10 12:39:44 EDT
OK, now I understand.  Just didn't want people doing needless work.
Comment 8 Jiri Pirko 2008-10-13 09:50:42 EDT
in kernel-2.6.18-92.1.15.el5

you can download RPMs from http://people.redhat.com/jpirko/.el52z/92.1.15/
Comment 12 errata-xmlrpc 2008-11-04 05:29:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0957.html

Note You need to log in before you can comment on or make changes to this bug.